Bug 1294725 - [abrt] gnome-shell: _g_log_abort(): gnome-shell killed by SIGTRAP
[abrt] gnome-shell: _g_log_abort(): gnome-shell killed by SIGTRAP
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:58d939016a79b7b0868eea2e77b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-29 19:18 EST by patrick korsnick
Modified: 2016-12-20 12:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:28:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (62.02 KB, text/plain)
2015-12-29 19:19 EST, patrick korsnick
no flags Details
File: cgroup (193 bytes, text/plain)
2015-12-29 19:19 EST, patrick korsnick
no flags Details
File: core_backtrace (21.69 KB, text/plain)
2015-12-29 19:19 EST, patrick korsnick
no flags Details
File: dso_list (24.33 KB, text/plain)
2015-12-29 19:19 EST, patrick korsnick
no flags Details
File: environ (2.01 KB, text/plain)
2015-12-29 19:19 EST, patrick korsnick
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-29 19:19 EST, patrick korsnick
no flags Details
File: maps (103.77 KB, text/plain)
2015-12-29 19:19 EST, patrick korsnick
no flags Details
File: mountinfo (3.53 KB, text/plain)
2015-12-29 19:19 EST, patrick korsnick
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-29 19:19 EST, patrick korsnick
no flags Details
File: open_fds (3.96 KB, text/plain)
2015-12-29 19:19 EST, patrick korsnick
no flags Details
File: proc_pid_status (1.04 KB, text/plain)
2015-12-29 19:19 EST, patrick korsnick
no flags Details
File: var_log_messages (4.59 KB, text/plain)
2015-12-29 19:19 EST, patrick korsnick
no flags Details
File: backtrace (78.71 KB, text/plain)
2016-02-18 05:14 EST, Marie Jedlickova
no flags Details

  None (edit)
Description patrick korsnick 2015-12-29 19:18:59 EST
Version-Release number of selected component:
gnome-shell-3.18.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
global_pid:     2090
kernel:         4.2.7-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1140452

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _g_log_abort at gmessages.c:324
 #9 XIQueryPointer at XIQueryPointer.c:74
 #10 gdk_x11_device_xi2_query_state at gdkdevice-xi2.c:352
 #11 _gdk_device_query_state at gdkdevice.c:1765
 #12 gdk_device_get_position_double at gdkdevice.c:504
 #13 gdk_device_get_position at gdkdevice.c:541
 #14 get_pointer_position_gdk at backends/meta-cursor-tracker.c:371
 #15 meta_cursor_tracker_get_pointer at backends/meta-cursor-tracker.c:413
 #16 shell_global_get_pointer at shell-global.c:1448
 #17 shell_global_sync_pointer at shell-global.c:1468

Potential duplicate: bug 1223085
Comment 1 patrick korsnick 2015-12-29 19:19:03 EST
Created attachment 1110395 [details]
File: backtrace
Comment 2 patrick korsnick 2015-12-29 19:19:04 EST
Created attachment 1110396 [details]
File: cgroup
Comment 3 patrick korsnick 2015-12-29 19:19:05 EST
Created attachment 1110397 [details]
File: core_backtrace
Comment 4 patrick korsnick 2015-12-29 19:19:06 EST
Created attachment 1110398 [details]
File: dso_list
Comment 5 patrick korsnick 2015-12-29 19:19:06 EST
Created attachment 1110399 [details]
File: environ
Comment 6 patrick korsnick 2015-12-29 19:19:07 EST
Created attachment 1110400 [details]
File: limits
Comment 7 patrick korsnick 2015-12-29 19:19:08 EST
Created attachment 1110401 [details]
File: maps
Comment 8 patrick korsnick 2015-12-29 19:19:10 EST
Created attachment 1110402 [details]
File: mountinfo
Comment 9 patrick korsnick 2015-12-29 19:19:11 EST
Created attachment 1110403 [details]
File: namespaces
Comment 10 patrick korsnick 2015-12-29 19:19:12 EST
Created attachment 1110404 [details]
File: open_fds
Comment 11 patrick korsnick 2015-12-29 19:19:13 EST
Created attachment 1110405 [details]
File: proc_pid_status
Comment 12 patrick korsnick 2015-12-29 19:19:14 EST
Created attachment 1110406 [details]
File: var_log_messages
Comment 13 Marie Jedlickova 2016-02-18 05:14:49 EST
Similar problem has been detected:

This bug appears whenever I try to change monitor configuration.

Steps to reproduce:
1. Run Display in system configuration
2. Go to Arranged combined displays
3. Change the arrangement and click the Apply button

gnome-shell then tries to change the setting but crashes and returns to the original setting.

This also happens when I try to change some other settings of displays (for example change to mirroring).

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
global_pid:     5555
kernel:         4.3.3-303.fc23.x86_64
package:        gnome-shell-3.18.3-1.fc23
reason:         gnome-shell killed by SIGTRAP
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Marie Jedlickova 2016-02-18 05:14:54 EST
Created attachment 1128176 [details]
File: backtrace
Comment 15 Fedora End Of Life 2016-11-24 09:35:04 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 12:28:12 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.